Loading...
Searching...
No Matches
MouseButtonEventData Struct Reference

Additional data mouse button event. More...

`#include <src/common/event.h>`

Inheritance diagram for MouseButtonEventData:
[legend]

## Public Member Functions

std::unique_ptr< EventData > | Clone () const override

## Public Attributes

MouseButton | button = MOUSE_BUTTON_LEFT
| The mouse button.

## Detailed Description

Additional data mouse button event.

## Member Function Documentation

## Clone()

std::unique_ptr< EventData > MouseButtonEventData::Clone | ( |  | ) | const

inline override virtual

Implements EventData.

## Member Data Documentation

## button

MouseButton MouseButtonEventData::button = MOUSE_BUTTON_LEFT

The mouse button.

The documentation for this struct was generated from the following file:

- src/common/event.h